IOSS 2.0

Classes | Namespaces | Macros | Functions | Variables
sphgen.C File Reference
`#include <Ionit_Initializer.h>`
`#include <Ioss_CodeTypes.h>`
`#include <Ioss_Hex8.h>`
`#include <Ioss_Utils.h>`
`#include <Ioss_Wedge6.h>`
`#include <cmath>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include "Ioss_DBUsage.h"`
`#include "Ioss_DatabaseIO.h"`
`#include "Ioss_ElementBlock.h"`
`#include "Ioss_ElementTopology.h"`
`#include "Ioss_Field.h"`
`#include "Ioss_IOFactory.h"`
`#include "Ioss_NodeBlock.h"`
`#include "Ioss_NodeSet.h"`
`#include "Ioss_Property.h"`
`#include "Ioss_Region.h"`
`#include "Ioss_ScopeGuard.h"`
`#include "Ioss_State.h"`
Include dependency graph for sphgen.C:

## Classes
struct | anonymous_namespace{sphgen.C}::Globals

## Namespaces
| anonymous_namespace{sphgen.C}

## Macros
#define | OUTPUT std::cerr

## Functions
void | anonymous_namespace{sphgen.C}::hex_volume (Ioss::ElementBlock *block, const std::vector< double > &coordinates, double *centroids, std::vector< double > &volume, std::vector< double > &radius, double scale_factor)
void | anonymous_namespace{sphgen.C}::show_usage (const std::string &prog)
void | anonymous_namespace{sphgen.C}::create_sph (const std::string &inpfile, const std::string &input_type, const std::string &outfile, const std::string &output_type, Globals &globals)
int | main (int argc, char *argv[])
void | anonymous_namespace{sphgen.C}::comp_grad12x (double *const grad_ptr, const double *const x, const double *const y, const double *const z)
double | anonymous_namespace{sphgen.C}::dot8 (const double *const x1, const double *const x2)

## Variables
std::vector< char > | anonymous_namespace{sphgen.C}::data
std::string | anonymous_namespace{sphgen.C}::codename
std::string | anonymous_namespace{sphgen.C}::version = "0.9"

## Macro Definition Documentation

## ◆ OUTPUT

#define OUTPUT std::cerr

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |